Search for Accounts

Use the Search for Accounts endpoint to search for the account that have been added to your team's Apollo account.

In Apollo terminology, an account is a company that your team has explicitly added to your database.

This endpoint only returns accounts in the search results. To search for companies in the Apollo database, call the Organization Search endpoint.

To protect Apollo's performance for all users, this endpoint has a display limit of 50,000 records (100 records per page, up to 500 pages). Add more filters to narrow your search results as much as possible. This limitation does not restrict your access to Apollo's database; you just need to access the data in batches.

Body Params
string

Add keywords to narrow the search of the accounts in your team's Apollo account. Keywords should directly match at least part of an account's name. For example, searching the keyword marketing might return the result NY Marketing Unlimited, but not NY Market Analysts. This parameter only searches account names, not other account fields. Examples: apollo; microsoft; marketing

account_stage_ids
array of strings

The Apollo IDs for the account stages that you want to include in your search results. If you add multiple account stages, Apollo will include all accounts that match any of the stages, along with the other parameters, in the search results. Call the List Account Stages endpoint to retrieve a list of all the account stage IDs available in your Apollo account. Example: 61b8e913e0f4d2012e3af74e

account_stage_ids
account_label_ids
array of strings

The Apollo IDs for the labels that you want to include in your search results. If you add multiple labels, Apollo will include all accounts connected to any of the labels, along with the other parameters, in the search results. Example: ['6095a710bd01d100a506d4ae']

account_label_ids
string
enum

Sort the matching accounts by 1 of the following options:

  • account_last_activity_date: The most recent activity date recorded first.
  • account_created_at: The most recently created first.
  • account_updated_at: The most recently updated first.
Allowed:
boolean
Defaults to false

Set to true to sort the matching accounts in ascending order. This parameter must be used with sort_by_field. Otherwise, the sorting logic is not applied. Example: true

int32

The page number of the Apollo data that you want to retrieve. Use this parameter in combination with the per_page parameter to make search results navigable and improve the performance of the endpoint. Example: 4

int32

The number of search results that should be returned for each page. Limiting the number of results per page improves the endpoint's performance. Use the page parameter to navigate through the different pages of data. Example: 10

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain